#include<stdio.h>



int main()
{
  
    unsigned int m,n;
    int i, j,k;
    int s;
    
    scanf("%d %d", &m, &n);
    if(m<0 || n<0){
      printf("-1");
      return;
    }
    
      if(n>m){
      printf("-1");
    return;
    }
    
    for(i=1;i<m-n+2;i++)
    {
      s=0;
      j=i;
      while(j<i+n){
	 
	s+=j;
	j++;
	}
      printf("%d ", s);
    }
    
   
    
  
  
  
  return 0;
}


